> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/reference/sql-commands/checkpoint.md).

# CHECKPOINT

## CHECKPOINT

CHECKPOINT — force a write-ahead log checkpoint

### Synopsis

```

CHECKPOINT
```

### Description

A checkpoint is a point in the write-ahead log sequence at which all data files have been updated to reflect the information in the log. All data files will be flushed to disk. Refer to [Section 30.5](/15/server-administration/reliability-and-the-write-ahead-log/wal-configuration.md) for more details about what happens during a checkpoint.

The `CHECKPOINT` command forces an immediate checkpoint when the command is issued, without waiting for a regular checkpoint scheduled by the system (controlled by the settings in [Section 20.5.2](/15/server-administration/server-configuration/write-ahead-log.md#RUNTIME-CONFIG-WAL-CHECKPOINTS)). `CHECKPOINT` is not intended for use during normal operation.

If executed during recovery, the `CHECKPOINT` command will force a restartpoint (see [Section 30.5](/15/server-administration/reliability-and-the-write-ahead-log/wal-configuration.md)) rather than writing a new checkpoint.

Only superusers or users with the privileges of the [`pg_checkpoint`](/15/server-administration/database-roles/default-roles.md#PREDEFINED-ROLES-TABLE) role can call `CHECKPOINT`.

### Compatibility

The `CHECKPOINT` command is a PostgreSQL language extension.

***

原文：[PostgreSQL 15.19 Documentation](/15/reference/sql-commands/checkpoint.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/reference/sql-commands/checkpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
